from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComHamtec(UltmarcTable):
    """レイアウト区分021: COM_高度先進医療"""
    maint_flag: str   # 修正区分
    hamtec_cd: str    # 高度先進医療コード
    hamtec_div: str   # 高度先進医療区分
    hamtec_name: str  # 高度先進医療名

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[3]
        self.hamtec_cd = record[1]
        self.hamtec_div = record[2]
        self.hamtec_name = record[6]
